package cz.vutbr.feec.gui;

//from Burget
import java.awt.Point;

public class LandmarkOnGui {
	private static double scale = 1.0; //meritko pouzite pro souradnice v objektu
	private static int counter;	//citac poctu landmarku
	
	private Point position = new Point();
	private double computedX = Double.NaN;
	private double computedY = Double.NaN;
	private String hostname;
	
	private int id = counter++;
	
	//bez inicializace pozice
	public LandmarkOnGui() {
		setPosition(0, 0);
	}
	//s inicializaci pozice
	public LandmarkOnGui(int x, int y) {
		setPosition(x, y);
	}
	
	public Point getPosition() {
		return position;
	}

	public void setPosition(int x, int y) {
		this.position.x = x;
		this.position.y = y;
	}
	public void setPosition(Point position) {
		this.position = position;
	}

	public double getDisplayedX() {
		return computedX * scale;
	}
	
	public double getDisplayedY() {
		return computedY * scale;
	}
	
	public double getComputedX() {
		return computedX;
	}

	public double getComputedY() {
		return computedY;
	}
	
	public void setComputedX(double computedX) {
		this.computedX = computedX;
	}

	public void setComputedY(double computedY) {
		this.computedY = computedY;
	}

	public static double getScale() {
		return scale;
	}

	public static void setScale(double scale) {
		LandmarkOnGui.scale = scale;
	}
	
	protected int getId() {
		return id;
	}

	protected void setId(int id) {
		this.id = id;
	}

	protected void setHostname(String hostname) {
		this.hostname = hostname;
	}
	
	protected String getHostname() {
		return this.hostname;
	}
	
}
